<?php

declare(strict_types=1);

namespace app\admin\model;

use support\think\Model;
use think\model\relation\BelongsTo;

class SensitiveDataLog extends Model
{
    protected string $table = 'security_sensitive_data_log';
    protected string $pk = 'id';
    protected bool $autoWriteTimestamp = true;
    protected bool $updateTime = false;

    public function sensitive(): BelongsTo
    {
        return $this->belongsTo(SensitiveData::class, 'sensitive_id');
    }

    public function admin(): BelongsTo
    {
        return $this->belongsTo(Admin::class, 'admin_id');
    }
}
